Commit b0b9ba41 authored by Benoit Lavenier's avatar Benoit Lavenier
Browse files

Minor changes

parent 327f3bb2
......@@ -11,16 +11,14 @@ fi;
KEYSTORE_FILE=${PROJECT_DIR}/.local/android/Cesium.keystore
KEY_ALIAS=Cesium
KEYSTORE_PWD=
APK_RELEASE_DIR=${PROJECT_DIR}/platforms/android/build/outputs/apk/release
APK_UNSIGNED_FILE=${APK_RELEASE_DIR}/android-release-unsigned.apk
APK_SIGNED_FILE=${APK_RELEASE_DIR}/android-release-signed.apk
APK_RELEASE_DIR=${PROJECT_DIR}/platforms/android/app/build/outputs/apk/release
APK_UNSIGNED_FILE=${APK_RELEASE_DIR}/app-release-unsigned.apk
APK_SIGNED_FILE=${APK_RELEASE_DIR}/app-release.apk
# Preparing Android environment
. ${PROJECT_DIR}/scripts/env-android.sh
if [[ $? -ne 0 ]]; then
exit 1
fi
[[ $? -ne 0 ]] && exit 1
cd ${PROJECT_DIR}
......
......@@ -100,10 +100,16 @@ rm -rf ${ANDROID_OUTPUT_APK_RELEASE}/*.apk || exit 1
. scripts/build-android.sh --release
[[ $? -ne 0 ]] && exit 1
APK_RELEASE_FILE="${ANDROID_OUTPUT_APK_RELEASE}/android-release.apk"
APK_RELEASE_FILE="${ANDROID_OUTPUT_APK_RELEASE}/app-release.apk"
APK_RELEASE_UNSIGNED_FILE="${ANDROID_OUTPUT_APK_RELEASE}/app-release-unsigned.apk"
if [[ ! -f "${APK_RELEASE_FILE}" ]]; then
echo "ERROR: Missing android artifact at ${APK_RELEASE_FILE}"
exit 1
if [[ ! -f "${APK_RELEASE_UNSIGNED_FILE}" ]]; then
echo "ERROR: Missing android artifact at ${APK_RELEASE_FILE}"
exit 1
else
. scripts/release-android-sign.sh
[[ $? -ne 0 ]] && exit 1
fi
fi
mkdir -p ${DIST_ANDROID} || exit 1
cp ${APK_RELEASE_FILE} "${DIST_ANDROID}/${PROJECT_NAME}-v$2-android.apk" || exit 1
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment